gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.GLRenderer

Contents

- Exported types
- Methods
  - new

Description

Renders a GSK rendernode tree with OpenGL.

See `Renderer`.

Since: 4.2

Synopsis

- newtype GLRenderer = GLRenderer (ManagedPtr GLRenderer)
- class (GObject o, IsDescendantOf GLRenderer o) => IsGLRenderer o
- toGLRenderer :: (MonadIO m, IsGLRenderer o) => o -> m GLRenderer
- gLRendererNew :: (HasCallStack, MonadIO m) => m GLRenderer

# Exported types

newtype GLRenderer Source #

Memory-managed wrapper type.

Constructors

GLRenderer (ManagedPtr GLRenderer) |

#### Instances

Instances details

Eq GLRenderer Source # |
Instance details Defined in GI.Gsk.Objects.GLRenderer Methods (==) :: GLRenderer -> GLRenderer -> Bool Source # (/=) :: GLRenderer -> GLRenderer -> Bool Source #
GObject GLRenderer Source # |
Instance details Defined in GI.Gsk.Objects.GLRenderer
ManagedPtrNewtype GLRenderer Source # |
Instance details Defined in GI.Gsk.Objects.GLRenderer Methods toManagedPtr :: GLRenderer -> ManagedPtr GLRenderer Source #
TypedObject GLRenderer Source # |
Instance details Defined in GI.Gsk.Objects.GLRenderer Methods glibType :: IO GType Source #
HasParentTypes GLRenderer Source # |
Instance details Defined in GI.Gsk.Objects.GLRenderer
IsGValue (Maybe GLRenderer) Source # | Convert `GLRenderer` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gsk.Objects.GLRenderer Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe GLRenderer -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe GLRenderer) Source #
type ParentTypes GLRenderer Source # |
Instance details Defined in GI.Gsk.Objects.GLRenderer type ParentTypes GLRenderer = '[Renderer, Object]

class (GObject o, IsDescendantOf GLRenderer o) => IsGLRenderer o Source #

Type class for types which can be safely cast to `GLRenderer`, for instance with `toGLRenderer`.

#### Instances

Instances details

(GObject o, IsDescendantOf GLRenderer o) => IsGLRenderer o Source # |
Instance details Defined in GI.Gsk.Objects.GLRenderer

toGLRenderer :: (MonadIO m, IsGLRenderer o) => o -> m GLRenderer Source #

Cast to `GLRenderer`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, isRealized, notify, notifyByPspec, realize, realizeForDisplay, ref, refSink, render, renderTexture, runDispose, stealData, stealQdata, thawNotify, unrealize, unref, watchClosure.

#### Getters

getData, getProperty, getQdata, getSurface.

#### Setters

setData, setDataFull, setProperty.

## new

gLRendererNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m GLRenderer | Returns: a GL renderer

Creates an instance of the GL renderer.